# wxSpinDoubleEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/spinctrl.h>`

Inheritance diagram for wxSpinDoubleEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxSpinCtrlDouble.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxSpinDoubleEvent& event)

Event macros:

- EVT_SPINCTRLDOUBLE(id, func):
  Generated whenever the numeric value of the spin control is changed, that is, when the up/down spin button is clicked, when ENTER is pressed, or the control loses focus and the new value is different from the last. See wxSpinDoubleEvent.

##

Library: wxCore
Category: Events

See also:
  wxSpinCtrlDouble

## Public Member Functions

| wxSpinDoubleEvent (wxEventType commandType=wxEVT_NULL, int winid=0, double value=0)
| The constructor.
| wxSpinDoubleEvent (const wxSpinDoubleEvent &event)
| The copy constructor.
double | GetValue () const
| Returns the value associated with this spin control event.
void | SetValue (double value)
| Set the value associated with the event.

List of all members.

## Constructor & Destructor Documentation

wxSpinDoubleEvent::wxSpinDoubleEvent | ( | wxEventType | commandType = `wxEVT_NULL`,
|  | int | winid = `0`,
|  | double | value = `0` |
| ) |  |  |

The constructor.

Not normally used by the user code.

wxSpinDoubleEvent::wxSpinDoubleEvent | ( | const wxSpinDoubleEvent & | event | ) |

The copy constructor.

## Member Function Documentation

double wxSpinDoubleEvent::GetValue | ( |  | ) | const

Returns the value associated with this spin control event.

void wxSpinDoubleEvent::SetValue | ( | double | value | ) |

Set the value associated with the event.

(Not normally used by user code.)

|  | [ top ]